CVE-2013-1953

NameCVE-2013-1953
DescriptionInteger underflow in the input_bmp_reader function in input-bmp.c in AutoTrace 0.31.1 allows context-dependent attackers to have an unspecified impact via a small value in the biSize field in the header of a BMP file, which triggers a buffer overflow.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)
Debian Bugs742873

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
gimp (PTS)jessie (security), jessie2.8.14-1+deb8u2fixed
stretch (security), stretch2.8.18-1+deb9u1fixed
buster, bullseye, sid2.10.8-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
autotracesource(unstable)0.31.1-16+nmu1low742873
gimpsource(unstable)2.6.10-1medium

Notes

[wheezy] - autotrace <no-dsa> (Minor issue)
[squeeze] - autotrace <no-dsa> (Minor issue)
Gimp was fixed earlier, but only Squeeze version was checked
In gimp code introduced with d9c6f88141aecf956c5d721168f795de0e3027b8
and fixed with 57f805a159874107c6c98065f9aa648c3634b8fd
https://git.gnome.org/browse/gimp/commit/?h=d9c6f88141aecf956c5d7
https://git.gnome.org/browse/gimp/commit/?h=57f805a159874107c6c98

Search for package or bug name: Reporting problems